Index: django_src/django/core/management.py
===================================================================
--- django_src/django/core/management.py	(wersja 2279)
+++ django_src/django/core/management.py	(kopia robocza)
@@ -402,7 +402,7 @@
 
     # First, try validating the models.
     s = StringIO()
-    num_errors = get_validation_errors(s)
+    num_errors = get_validation_errors(s, selected_mod=mod)
     if num_errors:
         sys.stderr.write("Error: %s couldn't be installed, because there were errors in your model:\n" % mod_name)
         s.seek(0)
@@ -646,12 +646,16 @@
         self.errors.append((opts, error))
         self.outfile.write("%s.%s: %s\n" % (opts.app_label, opts.module_name, error))
 
-def get_validation_errors(outfile):
-    "Validates all installed models. Writes errors, if any, to outfile. Returns number of errors."
+def get_validation_errors(outfile, selected_mod=None):
+    "Validates all installed models or models from 'selected_mod'.Writes errors, if any, to outfile.Returns number of errors."
+
     import django.models
     from django.core import meta
     e = ModelErrorCollection(outfile)
-    module_list = meta.get_installed_model_modules()
+    if not selected_mod:
+        module_list = meta.get_installed_model_modules()
+    else:
+        module_list = selected_mod,       
     for module in module_list:
         for mod in module._MODELS:
             opts = mod._meta






